btm (0.14.3+ds+~0+20260601-2) unstable; urgency=medium

  * add patch 1002 to accept newer minor version of crate clap_mangen

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 06 Jul 2026 02:58:05 +0200

btm (0.14.3+ds+~0+20260601-1) unstable; urgency=medium

  [ upstream ]
  * new release(s) of main crate btm

  [ Jonas Smedegaard ]
  * update and unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 02 Jul 2026 14:21:13 +0200

btm (0.14.2+ds+~0+20260601-1) unstable; urgency=medium

  [ upstream ]
  * new release(s) of main crate btm

  [ Jonas Smedegaard ]
  * update and unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 30 Jun 2026 07:47:43 +0200

btm (0.14.0+ds+~0+20260601-1) unstable; urgency=medium

  [ upstream ]
  * new release of main crate btm

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * reorganize patch naming and numbering

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 21 Jun 2026 00:07:40 +0200

btm (0.13.0+ds+~0+20260601-1) unstable; urgency=medium

  [ upstream ]
  * new release of main crate btm
  * new snapshot of embedded crate timeless

  [ Jonas Smedegaard ]
  * stop embed crate sysinfo; drop patch 2001_sysinfo
  * update and unfuzz patches
  * declare compliance with Debian Policy 4.7.4
  * use debhelper compatibility level 14 (not 13)
  * update source helper tool copyright-check

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 20 Jun 2026 09:31:20 +0200

btm (0.12.3+ds+~0+20260512+~0.37.2-1) unstable; urgency=medium

  [ upstream ]
  * new snapshot of embedded crate timeless

  [ Jonas Smedegaard ]
  * drop patch 2001_rustc-hash, obsoleted by Debian package changes
  * update watch file: set Version-Type: STABLE_VERSION
  * stop embed workspace for crate ratatui;
    closes: bug#1135781, thanks to Peter Michael Green
  * update and unfuzz patches
  * build-depend on crate for clap_complete_nushell

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 30 May 2026 06:21:48 +0200

btm (0.12.3+~0+20250330+~0.30.0+~0.37.2+~0.3.5-8) unstable; urgency=medium

  * add patch 1002 to accept newer minor version of crate toml_edit;
    closes: bug#1134568, thanks to Peter Michael Green

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 22 Apr 2026 06:53:50 +0200

btm (0.12.3+~0+20250330+~0.30.0+~0.37.2+~0.3.5-7) unstable; urgency=medium

  * drop patches 2001_instability 2001_itertools,
    obsoleted by Debian package changes;
    build-depend on package for crate instability
  * stop embed crate line-clipping;
    drop patches 2001_line-clipping 2001_rstest;
    build-depend on package for crate line-clipping

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 08 Mar 2026 02:17:53 +0100

btm (0.12.3+~0+20250330+~0.30.0+~0.37.2+~0.3.5-6) unstable; urgency=medium

  * drop patches 2001_kausari 2001_toml_edit,
    obsoleted by Debian package changes;
    build-depend on librust-kasuari-dev
  * update copyright info:
    + really avoid any .git* files when repackaging upstream source
    + license patches same as main upstream license
  * update git-buildpackage config:
    + stop superfluously filter out .git* files
  * relax build-dependencies for all crates

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 18 Feb 2026 13:00:06 +0100

btm (0.12.3+~0+20250330+~0.30.0+~0.37.2+~0.3.5-5) unstable; urgency=medium

  * drop patch 2001_dirs, obsoleted by Debian packaging changes;
    tighten build-dependency for crate dirs
  * drop patch 2001_bitflags, obsoleted by Debian packaging changes
  * relax build-dependency for crate toml_edit;
    closes: bug#1125406, thanks to Peter Michael Green
  * update copyright info:
    + repackage upstream source to avoid any .git* files
  * update watch file:
    + use repack suffix +ds

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 13 Jan 2026 20:49:12 +0100

btm (0.12.3+~0+20250330+~0.30.0+~0.37.2+~0.3.5-4) unstable; urgency=medium

  * fix patch 2001_portable-pty

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 03 Jan 2026 17:35:16 +0100

btm (0.12.3+~0+20250330+~0.30.0+~0.37.2+~0.3.5-3) unstable; urgency=medium

  * fix patch 2004

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 03 Jan 2026 16:29:41 +0100

btm (0.12.3+~0+20250330+~0.30.0+~0.37.2+~0.3.5-2) unstable; urgency=medium

  * drop patches 2001_cfg-if 2001_clap 2001_clap_complete
    2001_clap_mangen 2001_indoc,
    obsoleted by Debian packaging changes
  * extend patch 2004
    to also ignore collection::tests::test_data_collection
  * stop declare superfluous fields Priority Rules-Requires-Root
  * declare compliance with Debian Policy 4.7.3

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 03 Jan 2026 13:59:13 +0100

btm (0.12.3+~0+20250330+~0.30.0+~0.37.2+~0.3.5-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * drop patches 2001_toml_edit,
    obsoleted by Debian packaging changes;
    tighten build-dependencies for crate toml_edit
  * drop patch 2001_libc, obsoleted by Debian packaging changes
  * update and unfuzz patches
  * stop build-depend on package for crate backtrace
  * update install path for application icon
  * update copyright info: update coverage
  * build-depend on package for crate nohash-hasher

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 01 Jan 2026 15:05:07 +0100

btm (0.11.4+~0+20250330+~0.30.0~beta0+~0.37.2+~0.3.4-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop patches 2001_anyhow 2001_serde 2001_starship-battery,
    obsoleted by Debian packaging changes;
    tighten build-dependencies for crate serde
  * update patch 2001_toml_edit
  * update and unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Dec 2025 11:16:44 +0100

btm (0.11.3+~0+20250330+~0.30.0~beta0+~0.37.2+~0.3.4-1) unstable; urgency=medium

  [ upstream ]
  * new release
  * new prerelease(s) of embedded crate ratatui

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * build-depend on packages for crates lru strum;
    tighten build-dependency for crate crossterm;
    relax build-dependencies for crates itertools toml_edit
  * install desktop file and icon file

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 06 Nov 2025 18:44:14 +0100

btm (0.11.2+~0+20250330+~0.30.0~alpha5+~0.37.2+~0.3.4-5) unstable; urgency=medium

  * drop patch 2001_hashbrown,
    obsoleted by Debian packaging changes;
    tighten build-dependency for crate hashbrown

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 19 Oct 2025 22:57:45 +0200

btm (0.11.2+~0+20250330+~0.30.0~alpha5+~0.37.2+~0.3.4-4) unstable; urgency=medium

  * drop patches 2001_indexmap 2001_rustix,
    obsoleted by Debian packaging changes
  * add patch 1001_hashbrown
    to accept newer minor version of crate hashbrown;
    relax build-dependency for crate hashbrown

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 19 Oct 2025 01:35:12 +0200

btm (0.11.2+~0+20250330+~0.30.0~alpha5+~0.37.2+~0.3.4-3) unstable; urgency=medium

  * fix syntax in patch 2004

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 12 Oct 2025 10:09:56 +0200

btm (0.11.2+~0+20250330+~0.30.0~alpha5+~0.37.2+~0.3.4-2) unstable; urgency=medium

  * skip a failing test

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 12 Oct 2025 00:58:13 +0200

btm (0.11.2+~0+20250330+~0.30.0~alpha5+~0.37.2+~0.3.4-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)
  * new prerelease of embedded crate ratatui
  * new release of embedded crate sysinfo

  [ Jonas Smedegaard ]
  * drop patches 2001_clap 2001_humantime,
    obsoleted by Debian packaging changes
  * update watch file: bump version prefix for ratatui
  * update and unfuzz patches
  * update copyright info: update coverage
  * build-depend on packages for crates restest termwiz

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 10 Oct 2025 23:31:46 +0200

btm (0.11.1+~0+20250330+~0.29.0+~0.37.1-2) unstable; urgency=medium

  * drop patches 2001_cfg-if 2001_ctrlc 2001_filedescriptor 2001_rustix,
    obsoleted by Debian packaging changes;
    update build-dependencies for crate rustix

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 04 Oct 2025 09:48:43 +0200

btm (0.11.1+~0+20250330+~0.29.0+~0.37.1-1) unstable; urgency=medium

  * update watch file:
    + use Github API
    + track release tags (not git commits)
    + use file format version 5
    + stop mangle filename
  * embed crate timeless
  * update and unfuzz patches
  * tighten build-dependencies for crate nvml-wrapper
  * relax build-dependencies
    for crates crossterm dirs nvml-wrapper sysinfo;
    closes: bug#1116406, thanks to Matthias Geiger
  * update copyright info: update coverage
  * embed crates sysinfo v0.37 (see bug#1111261)
    and ratatui v0.29 (see bug#1111285)
  * update copyright info: update coverage
  * build-depend on libstd-rust-dev;
    closes: bug#1106703, thanks to Helmut Grohne

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 27 Sep 2025 02:20:59 +0200

btm (0.10.2+20250107-6) experimental; urgency=medium

  * relax patch 2001_rustix
    to accept newer branches (not only older releases) of crate rustix;
    relax build-dependency for crate rustix;
    closes: bug#1110321, thanks to NoisyCoil
  * declare compliance with Debian Policy 4.7.2

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 03 Aug 2025 12:16:31 +0200

btm (0.10.2+20250107-5) unstable; urgency=medium

  * fix declare crate-related build-dependencies unconditionally
    (drop <\!nocheck> hint);
    closes: bug#1104204, thanks to Helmut Grohne

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 12 May 2025 22:40:15 +0200

btm (0.10.2+20250107-4) unstable; urgency=medium

  * add metadata about upstream project
  * update git-buildpackage config:
    + filter out debian subdir
    + improve usage comment
  * update watch file: improve filename mangling
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 09 Feb 2025 02:50:13 +0100

btm (0.10.2+20250107-3) unstable; urgency=medium

  * tune build flags for hardening and speed

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 20 Jan 2025 12:46:27 +0100

btm (0.10.2+20250107-2) unstable; urgency=medium

  * update patch 2001_unicode-ellipsis
    to ignore broken widechar test;
    closes: bug#1091808, thanks to Santiago Vila

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 15 Jan 2025 00:21:08 +0100

btm (0.10.2+20250107-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * tighten build-dependency for crate unicode-width

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 13 Jan 2025 01:44:52 +0100

btm (0.10.2+20241128-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot
    highlights:
    + add the ability to configure the disk widget's table columns

  [ Jonas Smedegaard ]
  * update and unfuzz patches;
    relax build-dependency for crate ratatui.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 28 Nov 2024 22:49:16 +0100

btm (0.10.2+20241108-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot
    highlights:
    + fix support for nilfs2 file system

  [ Jonas Smedegaard ]
  * drop patch 2001_itertools, obsoleted by Debian package changes;
    tighten build-dependency for crate itertools
  * update and unfuzz patches
  * relax build-dependencies
    for crates crossterm hashbrown nvml-wrapper unicode-width
  * bump build-dependency for crate starship-battery

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 10 Nov 2024 14:27:56 +0100

btm (0.10.2+20240912-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot

  [ Jonas Smedegaard ]
  * update watch file: bump version prefix
  * update and unfuzz patches
  * update copyright info: update coverage
  * stop generate man page during build,
    handled upstream;
    stop build-depend on help2man
  * build-depend on packages for crates indoc tempfile;
    tighten build-dependencies for crates clap ratatui toml-edit;
    stop build-depend on packages
    for crates fern kstring log serde-json time,
    needed only for unused features

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 14 Sep 2024 01:20:26 +0200

btm (0.9.6+20240202-2) unstable; urgency=medium

  * no-changes source-only upload to enable testing migration

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 21 Jul 2024 00:01:45 +0200

btm (0.9.6+20240202-1) experimental; urgency=medium

  [ upstream ]
  * development snapshot

  [ Jonas Smedegaard ]
  * update watch file to track git commits (not release tags)
  * update patches
  * bump build-dependencies for crates ratatui sysinfo
    (see bug#1057254, #1075991);
    stop build-depend on package for crate once_cell
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 20 Jul 2024 09:51:24 +0200

btm (0.9.6-8) unstable; urgency=medium

  * update patch 2001_sysinfo;
    tighten build-dependency for crate sysinfo
  * simplify packaging;
    build-depend on dh-sequence-rust
    (not dh-cargo libstring-shellquote-perl)

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 11 Jul 2024 21:00:21 +0200

btm (0.9.6-7) unstable; urgency=medium

  * update patches;
    relax build-dependency for crate itertools;
    closes: bug#1054075, #1072257, thanks to Peter Green
  * set Static-Built-Using (not X-Cargo-Built-Using)

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 31 May 2024 08:22:09 +0200

btm (0.9.6-6) unstable; urgency=medium

  * update copyright info: fix file path
  * update dh-cargo fork
  * drop patches 2001_hashbrown 2001_indexmap;
    tighten build-dependencies for crates hashbrown indexmap
  * declare compliance with Debian Policy 4.7.0
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 17 May 2024 07:43:16 +0200

btm (0.9.6-5) unstable; urgency=medium

  * drop patches 2001_sysctl 2001_time,
    obsoleted by Debian package changes;
    tighten build-depdendency for crate sysctl

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 17 Apr 2024 20:36:53 +0200

btm (0.9.6-4) unstable; urgency=medium

  * drop patch 2001_serde_json.patch,
    obsoleted by Debian package changes
  * tighten build-dependency for crate ratatui
  * drop patches 2001_fern.patch 2001_unicode-segmentation.patch,
    obsoleted by Debian package changes; unfuzz patches
  * drop patch 2001_backtrace,
    obsoleted by Debian package changes
  * update and unfuzz patches;
    update DEP-3 headers
  * add patch 2001_toml_edit
    to accept newer branches of crate toml_edit;
    relax build-dependency for crate toml_edit;
    closes: bug#1064136, thanks to Paul Gevers

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 17 Feb 2024 18:19:23 +0100

btm (0.9.6-3) unstable; urgency=medium

  * drop patches 2001_anyhow 2001_starship-battery 2001_crossterm.patch,
    obsoleted by Debian package changes;
    tighten build-dependency for crate crossterm
  * add patch 1001_ratatui,
    to extend dependency to match newer releases of crate ratatui;
    relax build-dependency for crate ratatui

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 24 Nov 2023 14:18:21 +0100

btm (0.9.6-2) unstable; urgency=medium

  * update and unfuzz patches.
  * tighten build-dependencies for crate predicates

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 31 Oct 2023 12:01:29 +0100

btm (0.9.6-1) experimental; urgency=low

  * initial Release;
    closes: bug#1054312

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 21 Oct 2023 16:48:25 +0200
